package com.iformall.pay;

import lombok.Data;

import java.io.Serializable;

/**
 * Created by Peng on 2018/8/10.
 */
@Data
public class WxProfitSharingP implements Serializable {
    private static final long serialVersionUID = 1L;

    private String mch_id;              // 商户号
    private String sub_mch_id;          // 子商户号
    private String appid;               // 公众账号ID
    private String sub_appid;           // 子公众账号ID
    private String nonce_str;           // 随机字符串
    private String sign;                // 签名
    private String sign_type;           // 签名方法
    private String transaction_id ;     // 支付订单号
    private String out_order_no;        // 商户订单号
    private String receivers;          // 分账接收方

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("WxProfitSharingP{");
        sb.append("appid='").append(appid).append('\'');
        sb.append(", sub_appid='").append(sub_appid).append('\'');
        sb.append(", mch_id='").append(mch_id).append('\'');
        sb.append(", sub_mch_id='").append(sub_mch_id).append('\'');
        sb.append(", nonce_str='").append(nonce_str).append('\'');
        sb.append(", sign='").append(sign).append('\'');
        sb.append(", sign_type='").append(sign_type).append('\'');
        sb.append(", transaction_id='").append(transaction_id).append('\'');
        sb.append(", out_order_no='").append(out_order_no).append('\'');
        sb.append(", receivers='").append(receivers).append('\'');
        sb.append('}');
        return sb.toString();
    }

}
